ARG DOCKER_BUILDKIT=1

FROM python:{{PYTHON_VERSION}}-slim as python-base
ENV VIRTUAL_ENV=.venv/
ENV POETRY_VIRTUALENVS_PATH=${VIRTUAL_ENV}
ENV WORK_DIR=/workspaces
WORKDIR ${WORK_DIR}
RUN apt-get update && \
    apt-get install -y make git && \
    apt-get clean autoclean && \
    apt-get autoremove --yes

{% include "Dockerfile.python" %}
